import { Location } from '@angular/common';
import { Component, Injectable, OnInit } from '@angular/core';
import { IItem, ItemService, ItemTypeService, commonReducers } from '@farmmaps/common';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import * as mapReducers from '../../reducers/map.reducer';
import { AbstractFeatureListComponent } from '../feature-list/feature-list.component';
import { ForChild } from '../for-item/for-child.decorator';
import { ForItemType } from '../for-item/for-itemtype.decorator';

@ForChild()
@ForItemType("vnd.farmmaps.itemtype.cropfield")
@Injectable()
@Component({
  selector: 'fm-map-feature-list-cropfield',
    templateUrl: './feature-list-cropfield.component.html',
    styleUrls: ['./feature-list-cropfield.component.scss']
})
export class FeatureListCropfieldComponent extends AbstractFeatureListComponent implements OnInit {

  constructor(store: Store<mapReducers.State | commonReducers.State>, itemTypeService: ItemTypeService, location: Location, private itemService: ItemService) {
    super(store, itemTypeService,location);
  }

  public schemeItem: Observable<IItem>

  ngOnInit() {
    this.schemeItem = this.itemService.getItem(this.queryState.parentCode);
  } 
}
